# Class Dimension2D

java.lang.Object
com.codename1.ui.geom.Dimension2D

public class Dimension2D extends java.lang.Object
Utility class that holds a width and height that represents a dimension of a component or element

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dimension2D()`
  Creates a new instance of Dimension
  `Dimension2D(double width, double height)`
  CCreates a new instance of Dimension with width and height
  `Dimension2D(Dimension2D d)`
  Creates a new instance of Dimension with a predefine dimension

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getHeight()`
  Return the height of the dimension
  `double`
  `getWidth()`
  Returns the width of the dimension
  `void`
  `setHeight(double height)`
  Set the height of the dimension
  `void`
  `setWidth(double width)`
  Set the width of the dimension
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Dimension2D

    public Dimension2D()
    Creates a new instance of Dimension

  - ### Dimension2D

    public Dimension2D(Dimension2D d)

    Creates a new instance of Dimension with a predefine dimension

    ###### Parameters

    - `d`: Dimension to copy

  - ### Dimension2D

    public Dimension2D(double width, double height)

    CCreates a new instance of Dimension with width and height

    ###### Parameters

    - `width`: the dimention width

    - `height`: the dimention height

- ## Method Details

  - ### getWidth

    public double getWidth()

    Returns the width of the dimension

    ###### Returns

    width of the dimension

  - ### setWidth

    public void setWidth(double width)

    Set the width of the dimension

    ###### Parameters

    - `width`: the dimention width

  - ### getHeight

    public double getHeight()

    Return the height of the dimension

    ###### Returns

    height of the dimension

  - ### setHeight

    public void setHeight(double height)

    Set the height of the dimension

    ###### Parameters

    - `height`: the dimention height

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `java.lang.Object`